
QGIS Application - Bug report #6725

state of toggle editing button changes even when you click cancel

2012-11-18 03:55 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15889

Description

- edit a vector layer

- click the "toggle editing" button in the main window to toggle editing off

- click "cancel"; the state of the "toggle editing" button will still indicate that editing is on (as expected)

- open the layer's attribute table

- click the "toggle editing mode" button (note the different name in the tooltip) in the attribute table

- click "cancel"; the state of the button will change to indicate that editing is off! (but the state of the button in the main window will not

change).

Also occurs in 1.8

Associated revisions

Revision d387c93c - 2013-01-01 01:15 AM - Larry Shaffer

Fix #6725

- Restore toggle editing button state in attribute table editor if toggling canceled or commit/rollback changes fails

History

#1 - 2012-12-31 04:16 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"d387c93cc90aad9a7cfdbd5c861cae49730bc9be".
